Friday, August 10, 2007

Apache Rampart-1.3-RC1 is available

Apache Rampart 1.3 - RC1 is available now ...
http://people.apache.org/~ruchithf/rampart/1_3_RC1/

Do give it a go and report any issues you have :

https://issues.apache.org/jira/browse/RAMPART

5 comments:

jon said...

Dear DOC,

I am trying to get the Rampart samples to run on Axis2-1.3 and failing. The basic sample 01 server fails. I get the error:

01
[SimpleHTTPServer] Listening on port 8080
org.apache.axis2.deployment.DeploymentException: The rampart module is not valid or has not been deployed.

The Rampart module in question is 1.29.

Any suggestions?

Jon

Ruchith said...

Please run the ant build in the "samples" dir after setting the AXIS2_HOME env variable. This will copy the required .mar files to the repo used.

vignesh said...

i am new to this ws stuff. i need to consume a secured WS. any help in how to setup the axis2 with rampart and there by how and where do i specify the username and password.

i read on apache site but, cant understand much....

thanks,
vignesh.

vignesh said...

I am trying to set things up on eclipse. I have no exposure to ant or maven to build the wars. i found a axis2 war, so i added it to the eclipse runtime. i downloaded rampart and dragged and dropped it to the modules folder in eclipse...
i dont know how to proceed from there....
please help..

Ruchith said...

vignesh,

Please see here :
http://www.wso2.org/library/240